<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>libmcm: mcm-listen-event.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">libmcm
   &#160;<span id="projectnumber">1.3.0</span>
   </div>
   <div id="projectbrief">A client library for Moxa Connection Management</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#typedef-members">Typedefs</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">mcm-listen-event.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="mcm-base-info_8h_source.html">mcm-base-info.h</a>&quot;</code><br />
</div>
<p><a href="mcm-listen-event_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="typedef-members"></a>
Typedefs</h2></td></tr>
<tr class="memitem:a6f265c5acd97e3c89ad3a77b5eda27ec"><td class="memItemLeft" align="right" valign="top"><a id="a6f265c5acd97e3c89ad3a77b5eda27ec"></a>
typedef struct <a class="el" href="structevent__context.html">event_context</a>&#160;</td><td class="memItemRight" valign="bottom"><b>event_context</b></td></tr>
<tr class="separator:a6f265c5acd97e3c89ad3a77b5eda27ec"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:aa34f8418c3ab57b0b23d03288fb6c7af"><td class="memItemLeft" align="right" valign="top"><a class="el" href="structevent__context.html">event_context</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mcm-listen-event_8h.html#aa34f8418c3ab57b0b23d03288fb6c7af">mcm_init_property_changed_event_context</a> ()</td></tr>
<tr class="memdesc:aa34f8418c3ab57b0b23d03288fb6c7af"><td class="mdescLeft">&#160;</td><td class="mdescRight">A help function for init properties changed event context .  <a href="mcm-listen-event_8h.html#aa34f8418c3ab57b0b23d03288fb6c7af">More...</a><br /></td></tr>
<tr class="separator:aa34f8418c3ab57b0b23d03288fb6c7af"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a69f15537bef7887ddefa4125c26cb449"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mcm-listen-event_8h.html#a69f15537bef7887ddefa4125c26cb449">mcm_free_property_changed_event_context</a> (<a class="el" href="structevent__context.html">event_context</a> *context)</td></tr>
<tr class="memdesc:a69f15537bef7887ddefa4125c26cb449"><td class="mdescLeft">&#160;</td><td class="mdescRight">A help function for free properties changed event context .  <a href="mcm-listen-event_8h.html#a69f15537bef7887ddefa4125c26cb449">More...</a><br /></td></tr>
<tr class="separator:a69f15537bef7887ddefa4125c26cb449"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae9bd32b3e60ad3af4a27e6f70710be65"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mcm-listen-event_8h.html#ae9bd32b3e60ad3af4a27e6f70710be65">mcm_subscribe_properties_changed_interface</a> (char *<a class="el" href="mcm-base-info_8h.html#a9a87c62177c96969d2d451132cb54892">interface_name</a>, <a class="el" href="structevent__context.html">event_context</a> *context, int(*callback)(const char *<a class="el" href="mcm-base-info_8h.html#a9a87c62177c96969d2d451132cb54892">interface_name</a>, const char *property_name, const char *property_value))</td></tr>
<tr class="memdesc:ae9bd32b3e60ad3af4a27e6f70710be65"><td class="mdescLeft">&#160;</td><td class="mdescRight">A help function for subscribe properties changed.  <a href="mcm-listen-event_8h.html#ae9bd32b3e60ad3af4a27e6f70710be65">More...</a><br /></td></tr>
<tr class="separator:ae9bd32b3e60ad3af4a27e6f70710be65"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa8b3d2a0b64e67157cfc04df098e662c"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mcm-listen-event_8h.html#aa8b3d2a0b64e67157cfc04df098e662c">mcm_subscribe_properties_changed_wan</a> (<a class="el" href="structevent__context.html">event_context</a> *context, int(*callback)(const char *property_name, const char *property_value))</td></tr>
<tr class="memdesc:aa8b3d2a0b64e67157cfc04df098e662c"><td class="mdescLeft">&#160;</td><td class="mdescRight">A help function for subscribe properties changed.  <a href="mcm-listen-event_8h.html#aa8b3d2a0b64e67157cfc04df098e662c">More...</a><br /></td></tr>
<tr class="separator:aa8b3d2a0b64e67157cfc04df098e662c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a41df3fa55ca34031be69171b16d60a0b"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mcm-listen-event_8h.html#a41df3fa55ca34031be69171b16d60a0b">mcm_subscribe_properties_changed_notify_interface</a> (char *<a class="el" href="mcm-base-info_8h.html#a9a87c62177c96969d2d451132cb54892">interface_name</a>, <a class="el" href="structevent__context.html">event_context</a> *context, int(*callback)(int *received_prop))</td></tr>
<tr class="memdesc:a41df3fa55ca34031be69171b16d60a0b"><td class="mdescLeft">&#160;</td><td class="mdescRight">A help function for subscribe properties changed.  <a href="mcm-listen-event_8h.html#a41df3fa55ca34031be69171b16d60a0b">More...</a><br /></td></tr>
<tr class="separator:a41df3fa55ca34031be69171b16d60a0b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a71777b324f9aed44f0d2cb0991c6da2a"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mcm-listen-event_8h.html#a71777b324f9aed44f0d2cb0991c6da2a">mcm_start_listen_subscribe_properties_changed_event</a> (<a class="el" href="structevent__context.html">event_context</a> *context)</td></tr>
<tr class="memdesc:a71777b324f9aed44f0d2cb0991c6da2a"><td class="mdescLeft">&#160;</td><td class="mdescRight">A help function for get all ethernet properties.  <a href="mcm-listen-event_8h.html#a71777b324f9aed44f0d2cb0991c6da2a">More...</a><br /></td></tr>
<tr class="separator:a71777b324f9aed44f0d2cb0991c6da2a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af384fb0e677c786ebe83d093b30cb285"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mcm-listen-event_8h.html#af384fb0e677c786ebe83d093b30cb285">mcm_stop_listen_subscribe_properties_changed_event</a> (<a class="el" href="structevent__context.html">event_context</a> *context)</td></tr>
<tr class="memdesc:af384fb0e677c786ebe83d093b30cb285"><td class="mdescLeft">&#160;</td><td class="mdescRight">A help function for get all ethernet properties.  <a href="mcm-listen-event_8h.html#af384fb0e677c786ebe83d093b30cb285">More...</a><br /></td></tr>
<tr class="separator:af384fb0e677c786ebe83d093b30cb285"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This library is for Moxa Connection Management</p>
<dl class="section author"><dt>Author</dt><dd>York LY Chang <a href="#" onclick="location.href='mai'+'lto:'+'Yor'+'kL'+'Y.C'+'ha'+'ng@'+'mo'+'xa.'+'co'+'m'; return false;">YorkL<span style="display: none;">.nosp@m.</span>Y.Ch<span style="display: none;">.nosp@m.</span>ang@m<span style="display: none;">.nosp@m.</span>oxa.<span style="display: none;">.nosp@m.</span>com</a> </dd></dl>
</div><h2 class="groupheader">Function Documentation</h2>
<a id="a69f15537bef7887ddefa4125c26cb449"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a69f15537bef7887ddefa4125c26cb449">&#9670;&nbsp;</a></span>mcm_free_property_changed_event_context()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void mcm_free_property_changed_event_context </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structevent__context.html">event_context</a> *&#160;</td>
          <td class="paramname"><em>context</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>A help function for free properties changed event context . </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">context</td><td>(input) Properties changed event context . </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="aa34f8418c3ab57b0b23d03288fb6c7af"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa34f8418c3ab57b0b23d03288fb6c7af">&#9670;&nbsp;</a></span>mcm_init_property_changed_event_context()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structevent__context.html">event_context</a>* mcm_init_property_changed_event_context </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>A help function for init properties changed event context . </p>
<dl class="section return"><dt>Returns</dt><dd>Return properties changed event context . </dd></dl>

</div>
</div>
<a id="a71777b324f9aed44f0d2cb0991c6da2a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a71777b324f9aed44f0d2cb0991c6da2a">&#9670;&nbsp;</a></span>mcm_start_listen_subscribe_properties_changed_event()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int mcm_start_listen_subscribe_properties_changed_event </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structevent__context.html">event_context</a> *&#160;</td>
          <td class="paramname"><em>context</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>A help function for get all ethernet properties. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">context</td><td>[in] Properties changed event context.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>If start properties changed success return 0.If fail, return error number. </dd></dl>

</div>
</div>
<a id="af384fb0e677c786ebe83d093b30cb285"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af384fb0e677c786ebe83d093b30cb285">&#9670;&nbsp;</a></span>mcm_stop_listen_subscribe_properties_changed_event()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int mcm_stop_listen_subscribe_properties_changed_event </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structevent__context.html">event_context</a> *&#160;</td>
          <td class="paramname"><em>context</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>A help function for get all ethernet properties. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">context</td><td>[in] Properties changed event context.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>If stop properties changed success return 0.If fail, return error number. </dd></dl>

</div>
</div>
<a id="ae9bd32b3e60ad3af4a27e6f70710be65"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae9bd32b3e60ad3af4a27e6f70710be65">&#9670;&nbsp;</a></span>mcm_subscribe_properties_changed_interface()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int mcm_subscribe_properties_changed_interface </td>
          <td>(</td>
          <td class="paramtype">char *&#160;</td>
          <td class="paramname"><em>interface_name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structevent__context.html">event_context</a> *&#160;</td>
          <td class="paramname"><em>context</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int(*)(const char *<a class="el" href="mcm-base-info_8h.html#a9a87c62177c96969d2d451132cb54892">interface_name</a>, const char *property_name, const char *property_value)&#160;</td>
          <td class="paramname"><em>callback</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>A help function for subscribe properties changed. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">interface_name</td><td>[in] Interfaces name.</td></tr>
    <tr><td class="paramname">context</td><td>[out] Properties changed event context .</td></tr>
    <tr><td class="paramname">callback</td><td>[in] A callback function when property changed.</td></tr>
    <tr><td class="paramname">interface_name</td><td>[in] Changed property interface name.</td></tr>
    <tr><td class="paramname">property_name</td><td>[in] Changed property property name.</td></tr>
    <tr><td class="paramname">property_value</td><td>[in] Changed property property value.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>If subscribe properties changed success return 0. If fail, return error number. </dd></dl>

</div>
</div>
<a id="a41df3fa55ca34031be69171b16d60a0b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a41df3fa55ca34031be69171b16d60a0b">&#9670;&nbsp;</a></span>mcm_subscribe_properties_changed_notify_interface()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int mcm_subscribe_properties_changed_notify_interface </td>
          <td>(</td>
          <td class="paramtype">char *&#160;</td>
          <td class="paramname"><em>interface_name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structevent__context.html">event_context</a> *&#160;</td>
          <td class="paramname"><em>context</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int(*)(int *received_prop)&#160;</td>
          <td class="paramname"><em>callback</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>A help function for subscribe properties changed. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">interface_name</td><td>[in] Changed property interface name.</td></tr>
    <tr><td class="paramname">context</td><td>[out] Properties changed event context .</td></tr>
    <tr><td class="paramname">callback</td><td>[in] A callback function when property changed.</td></tr>
    <tr><td class="paramname">received_prop</td><td>[in] Notify received PropertiesChange Signal.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>If subscribe properties changed success return 0. If fail, return error number. </dd></dl>

</div>
</div>
<a id="aa8b3d2a0b64e67157cfc04df098e662c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa8b3d2a0b64e67157cfc04df098e662c">&#9670;&nbsp;</a></span>mcm_subscribe_properties_changed_wan()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int mcm_subscribe_properties_changed_wan </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structevent__context.html">event_context</a> *&#160;</td>
          <td class="paramname"><em>context</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int(*)(const char *property_name, const char *property_value)&#160;</td>
          <td class="paramname"><em>callback</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>A help function for subscribe properties changed. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">context</td><td>[out] Properties changed event context .</td></tr>
    <tr><td class="paramname">callback</td><td>[in] A callback function when property changed.</td></tr>
    <tr><td class="paramname">property_name</td><td>[in] Changed property property name.</td></tr>
    <tr><td class="paramname">property_value</td><td>[in] Changed property property value.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>If subscribe properties changed success return 0. If fail, return error number. </dd></dl>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
